Callisto4Bootloader: wdog_driver_interface_t Struct Reference

Callisto4Bootloader

Data Fields
wdog_driver_interface_t Struct Reference

`#include <bl_api.h>`

## Data Fields

void(* | WDOG_GetDefaultConfig )(wdog_config_t *config)
void(* | WDOG_Init )(WDOG_Type *base, const wdog_config_t *config)
void(* | WDOG_Deinit )(WDOG_Type *base)
void(* | WDOG_Enable )(WDOG_Type *base)
void(* | WDOG_Disable )(WDOG_Type *base)
void(* | WDOG_EnableInterrupts )(WDOG_Type *base, uint16_t mask)
uint16_t(* | WDOG_GetStatusFlags )(WDOG_Type *base)
void(* | WDOG_ClearInterruptStatus )(WDOG_Type *base, uint16_t mask)
void(* | WDOG_SetTimeoutValue )(WDOG_Type *base, uint16_t timeoutCount)
void(* | WDOG_SetInterrputTimeoutValue )(WDOG_Type *base, uint16_t timeoutCount)
void(* | WDOG_DisablePowerDownEnable )(WDOG_Type *base)
void(* | WDOG_Refresh )(WDOG_Type *base)

## Detailed Description

Definition at line 105 of file bl_api.h.

## Field Documentation

## ◆ WDOG_ClearInterruptStatus

void(* wdog_driver_interface_t::WDOG_ClearInterruptStatus) (WDOG_Type *base, uint16_t mask)

Definition at line 114 of file bl_api.h.

Referenced by WDOG_Refresh().

## ◆ WDOG_Deinit

void(* wdog_driver_interface_t::WDOG_Deinit) (WDOG_Type *base)

Definition at line 109 of file bl_api.h.

Referenced by WDOG_GetStatusFlags().

## ◆ WDOG_Disable

void(* wdog_driver_interface_t::WDOG_Disable) (WDOG_Type *base)

Definition at line 111 of file bl_api.h.

## ◆ WDOG_DisablePowerDownEnable

void(* wdog_driver_interface_t::WDOG_DisablePowerDownEnable) (WDOG_Type *base)

Definition at line 117 of file bl_api.h.

## ◆ WDOG_Enable

void(* wdog_driver_interface_t::WDOG_Enable) (WDOG_Type *base)

Definition at line 110 of file bl_api.h.

## ◆ WDOG_EnableInterrupts

void(* wdog_driver_interface_t::WDOG_EnableInterrupts) (WDOG_Type *base, uint16_t mask)

Definition at line 112 of file bl_api.h.

## ◆ WDOG_GetDefaultConfig

void(* wdog_driver_interface_t::WDOG_GetDefaultConfig) (wdog_config_t *config)

Definition at line 107 of file bl_api.h.

Referenced by WDOG_Init().

## ◆ WDOG_GetStatusFlags

uint16_t(* wdog_driver_interface_t::WDOG_GetStatusFlags) (WDOG_Type *base)

Definition at line 113 of file bl_api.h.

Referenced by WDOG_ClearInterruptStatus().

## ◆ WDOG_Init

void(* wdog_driver_interface_t::WDOG_Init) (WDOG_Type *base, const wdog_config_t *config)

Definition at line 108 of file bl_api.h.

Referenced by WDOG_Deinit().

## ◆ WDOG_Refresh

void(* wdog_driver_interface_t::WDOG_Refresh) (WDOG_Type *base)

Definition at line 118 of file bl_api.h.

## ◆ WDOG_SetInterrputTimeoutValue

void(* wdog_driver_interface_t::WDOG_SetInterrputTimeoutValue) (WDOG_Type *base, uint16_t timeoutCount)

Definition at line 116 of file bl_api.h.

## ◆ WDOG_SetTimeoutValue

void(* wdog_driver_interface_t::WDOG_SetTimeoutValue) (WDOG_Type *base, uint16_t timeoutCount)

Definition at line 115 of file bl_api.h.

The documentation for this struct was generated from the following file:

- lib/bl_api.h